FUNCTION::USTACK(3stap)

NAME
function::ustack - Return address at given depth of user stack backtrace

SYNOPSIS

    ustack:long(n:long)

ARGUMENTS

n
    number of levels to descend in the stack.

DESCRIPTION

Performs a simple (user space) backtrace, and returns the element at the specified position. The results of the backtrace itself are cached, so that the backtrace computation is performed at most once no matter how many times ustack is called, or in what order.

SEE ALSO
tapset::ucontext-symbols(3stap)